"""cmip6-mark-nullable

Revision ID: 4fc26a7d2d28
Revises: e1cdda7dcf1d
Create Date: 2025-04-14 21:37:03.205375

"""

from collections.abc import Sequence
from typing import Union

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "4fc26a7d2d28"
down_revision: Union[str, None] = "e1cdda7dcf1d"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("cmip6_dataset", schema=None) as batch_op:
        batch_op.alter_column("branch_method", existing_type=sa.VARCHAR(), nullable=True)
        batch_op.alter_column("branch_time_in_child", existing_type=sa.FLOAT(), nullable=True)
        batch_op.alter_column("branch_time_in_parent", existing_type=sa.FLOAT(), nullable=True)
        batch_op.alter_column("long_name", existing_type=sa.VARCHAR(), nullable=True)
        batch_op.alter_column("parent_activity_id", existing_type=sa.VARCHAR(), nullable=True)
        batch_op.alter_column("parent_experiment_id", existing_type=sa.VARCHAR(), nullable=True)
        batch_op.alter_column("parent_source_id", existing_type=sa.VARCHAR(), nullable=True)
        batch_op.alter_column("parent_time_units", existing_type=sa.VARCHAR(), nullable=True)
        batch_op.alter_column("parent_variant_label", existing_type=sa.VARCHAR(), nullable=True)
        batch_op.alter_column("vertical_levels", existing_type=sa.INTEGER(), nullable=True)
        batch_op.drop_column("init_year")

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("cmip6_dataset", schema=None) as batch_op:
        batch_op.add_column(sa.Column("init_year", sa.INTEGER(), nullable=True))
        batch_op.alter_column("vertical_levels", existing_type=sa.INTEGER(), nullable=False)
        batch_op.alter_column("parent_variant_label", existing_type=sa.VARCHAR(), nullable=False)
        batch_op.alter_column("parent_time_units", existing_type=sa.VARCHAR(), nullable=False)
        batch_op.alter_column("parent_source_id", existing_type=sa.VARCHAR(), nullable=False)
        batch_op.alter_column("parent_experiment_id", existing_type=sa.VARCHAR(), nullable=False)
        batch_op.alter_column("parent_activity_id", existing_type=sa.VARCHAR(), nullable=False)
        batch_op.alter_column("long_name", existing_type=sa.VARCHAR(), nullable=False)
        batch_op.alter_column("branch_time_in_parent", existing_type=sa.FLOAT(), nullable=False)
        batch_op.alter_column("branch_time_in_child", existing_type=sa.FLOAT(), nullable=False)
        batch_op.alter_column("branch_method", existing_type=sa.VARCHAR(), nullable=False)

    # ### end Alembic commands ###
